<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=iso-iso-8859-1">
<STYLE TYPE="text/css"><!--
BODY { font-family: serif }
H1 { font-family: sans-serif }
H2 { font-family: sans-serif }
H3 { font-family: sans-serif }
H4 { font-family: sans-serif }
H5 { font-family: sans-serif }
H6 { font-family: sans-serif }
SUB { font-size: smaller }
SUP { font-size: smaller }
PRE { font-family: monospace }
A { text-decoration: none }
--></STYLE>
</HEAD>
<BODY>
<H1><A NAME="CONTENTS"><img src=img/JpGraph_Logo.png></A></H1>
<i>(Version:  3 Apr 2005 22:44)</i><h2>Table Of Contents</h2>
<BR><B><A HREF="manual_jpgraph.html#1">1 About this manual</A></B>
<UL>
<LI><A HREF="manual_jpgraph.html#1_1">1.1 Version history</A></LI>
<LI><A HREF="manual_jpgraph.html#1_2">1.2 How was this manual produced?</A>
</LI>
</UL>
<B><A HREF="manual_jpgraph.html#2">2 Introduction</A></B>
<UL>
<LI><A HREF="manual_jpgraph.html#2_1">2.1 Version</A></LI>
<LI><A HREF="manual_jpgraph.html#2_2">2.2 Software License</A></LI>
<LI><A HREF="manual_jpgraph.html#2_3">2.3 JpGraph Features</A></LI>
<LI><A HREF="manual_jpgraph.html#2_4">2.4  Getting the latest version</A>
</LI>
<LI><A HREF="manual_jpgraph.html#2_5">2.5 Planned future addition</A></LI>
<LI><A HREF="manual_jpgraph.html#2_6">2.6 Known bugs and omissions</A></LI>
<LI><A HREF="manual_jpgraph.html#2_7">2.7  Acknowledgments</A></LI>
<LI><A HREF="manual_jpgraph.html#2_8">2.8 Reporting bugs and suggesting
 improvements</A></LI>
<LI><A HREF="manual_jpgraph.html#2_9">2.9 Getting support</A></LI>
</UL>
<B><A HREF="manual_jpgraph.html#3">3 Installation</A></B>
<UL>
<LI><A HREF="manual_jpgraph.html#3_1">3.1 Preparation</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#3_1_1">3.1.1 Verifying that you have
 the GD library installed</A></LI>
<LI><A HREF="manual_jpgraph.html#3_1_2">3.1.2 Verifying that you have
 GD2 installed</A></LI>
<LI><A HREF="manual_jpgraph.html#3_1_3">3.1.3 Preparing True Type Font
 Files</A></LI>
<LI><A HREF="manual_jpgraph.html#3_1_4">3.1.4 Using non-latin based
 fonts with JpGraph</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#3_2">3.2 Customizing the installation</A>
</LI>
<LI><A HREF="manual_jpgraph.html#3_3">3.3  Required files</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#3_3_1">3.3.1 Plot extension modules</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#3_4">3.4 Image formats and external
 image libraries</A></LI>
<LI><A HREF="manual_jpgraph.html#3_5">3.5 Detailed steps to install
 JpGraph</A></LI>
<LI><A HREF="manual_jpgraph.html#3_6">3.6 Troubleshooting your
 installation</A></LI>
<LI><A HREF="manual_jpgraph.html#3_7">3.7 Compiling PHP 4</A></LI>
</UL>
<B><A HREF="manual_jpgraph.html#4">4 Quick Start: Dynamic Image
 Generation</A></B>
<UL>
<LI><A HREF="manual_jpgraph.html#4_1">4.1 Scope of this chapeter</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#4_1_1">4.1.1 What you will learn in
 this chapter</A></LI>
<LI><A HREF="manual_jpgraph.html#4_1_2">4.1.2 What you will NOT learn in
 this chapter</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#4_2">4.2 How to generate images with
 PHP</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#4_2_1">4.2.1 Using the JpGraph library
 to send back images</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#4_3">4.3 Using PHP directly</A></LI>
<LI><A HREF="manual_jpgraph.html#4_4">4.4 The basic principle of JpGraph
 and the creation of images</A></LI>
<LI><A HREF="manual_jpgraph.html#4_5">4.5  Choosing the image format for
 JpGraph</A></LI>
<LI><A HREF="manual_jpgraph.html#4_6">4.6 Alternatives to streaming back
 the image</A></LI>
<LI><A HREF="manual_jpgraph.html#4_7">4.7  Working with fonts in JpGraph</A>
</LI>
<UL>
<LI><A HREF="manual_jpgraph.html#4_7_1">4.7.1 Installing TrueType fonts</A>
</LI>
<LI><A HREF="manual_jpgraph.html#4_7_2">4.7.2 Verifying that the TTF
 fonts work</A></LI>
<LI><A HREF="manual_jpgraph.html#4_7_3">4.7.3 Specifying fonts</A></LI>
<LI><A HREF="manual_jpgraph.html#4_7_4">4.7.4 Adding additional fonts to
 JpGraph</A></LI>
<LI><A HREF="manual_jpgraph.html#4_7_5">4.7.5 Understanding text
 alignment in JpGraph</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#4_8">4.8 Specifying colors in JpGraph</A>
</LI>
<UL>
<LI><A HREF="manual_jpgraph.html#4_8_1">4.8.1 Adjusting the transparency</A>
</LI>
<LI><A HREF="manual_jpgraph.html#4_8_2">4.8.2 Available named colors</A></LI>
<LI><A HREF="manual_jpgraph.html#4_8_3">4.8.3 Theme colors for pie's</A></LI>
</UL>
</UL>
<B><A HREF="manual_jpgraph.html#5">5 Understanding the JpGraph caching
 system</A></B>
<UL>
<LI><A HREF="manual_jpgraph.html#5_1">5.1 Enabling the cache system</A></LI>
<LI><A HREF="manual_jpgraph.html#5_2">5.2 Using the cache in your script</A>
</LI>
<LI><A HREF="manual_jpgraph.html#5_3">5.3 Using the cache with Client
 Side Image Maps</A></LI>
<LI><A HREF="manual_jpgraph.html#5_4">5.4 Some final comments</A></LI>
<LI><A HREF="manual_jpgraph.html#5_5">5.5 Common feature for all graphs</A>
</LI>
<UL>
<LI><A HREF="manual_jpgraph.html#5_5_1">5.5.1 Clipping</A></LI>
<LI><A HREF="manual_jpgraph.html#5_5_2">5.5.2  Commonly used properties</A>
</LI>
<LI><A HREF="manual_jpgraph.html#5_5_3">5.5.3  Commonly used methods</A></LI>
</UL>
</UL>
<B><A HREF="manual_jpgraph.html#6">6 Using image maps with JpGraph</A></B>
<UL>
<LI><A HREF="manual_jpgraph.html#6_1">6.1 The basic structure of an
 image map script</A></LI>
<LI><A HREF="manual_jpgraph.html#6_2">6.2 Specifying targets for image
 map plots</A></LI>
<LI><A HREF="manual_jpgraph.html#6_3">6.3 Using StrokeCSIM()</A></LI>
<LI><A HREF="manual_jpgraph.html#6_4">6.4 Examples of Image maps</A></LI>
<LI><A HREF="manual_jpgraph.html#6_5">6.5 How does StrokeCSIM() work?</A>
</LI>
<LI><A HREF="manual_jpgraph.html#6_6">6.6 Getting hold of the image map</A>
</LI>
<LI><A HREF="manual_jpgraph.html#6_7">6.7 Image maps and the cache
 system</A></LI>
</UL>
<B><A HREF="manual_jpgraph.html#7">7 Working with orthogonal X,Y-plots</A>
</B>
<UL>
<LI><A HREF="manual_jpgraph.html#7_1">7.1 Line plots</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#7_1_1">7.1.1 Adding plot marks to
 line-plots XXX</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_2">7.1.2 Displaying the values for
 each data point</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_3">7.1.3 Adding several plots to
 the same graph</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_4">7.1.4 Adding a second Y-scale</A>
</LI>
<LI><A HREF="manual_jpgraph.html#7_1_5">7.1.5 Adding a legend to the
 graph</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_6">7.1.6 Handling null-values in
 line plots</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_7">7.1.7 Using the step-style to
 render line plots</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_8">7.1.8 Using logarithmic scale</A>
</LI>
<LI><A HREF="manual_jpgraph.html#7_1_9">7.1.9 More on scales</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_10">7.1.10 Adjusting the grid lines
 in the plot</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_11">7.1.11 Using filled grid lines</A>
</LI>
<LI><A HREF="manual_jpgraph.html#7_1_12">7.1.12 Specifying text labels
 for the X-axis</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_13">7.1.13 Adjusting the ticks on a
 text scale</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_14">7.1.14 Using filled line graphs</A>
</LI>
<LI><A HREF="manual_jpgraph.html#7_1_15">7.1.15 Using accumulated line
 graphs</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_16">7.1.16 Constructing smooth line
 plots with Cubic Splines</A></LI>
<LI><A HREF="manual_jpgraph.html#7_1_17">7.1.17 Adding plot marks to a
 line plot</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#7_2">7.2 Bar graphs</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#7_2_1">7.2.1 Adjusting the width of the
 bars</A></LI>
<LI><A HREF="manual_jpgraph.html#7_2_2">7.2.2 Displaying the value of
 each bar</A></LI>
<LI><A HREF="manual_jpgraph.html#7_2_3">7.2.3 Adding a drop shadow to
 the bar</A></LI>
<LI><A HREF="manual_jpgraph.html#7_2_4">7.2.4 Adjusting the alignment of
 bars on a text scale</A></LI>
<LI><A HREF="manual_jpgraph.html#7_2_5">7.2.5 Using grouped bar plots</A>
</LI>
<LI><A HREF="manual_jpgraph.html#7_2_6">7.2.6 Using accumulated bar
 plots</A></LI>
<LI><A HREF="manual_jpgraph.html#7_2_7">7.2.7 Using grouped accumulated
 bar graphs</A></LI>
<LI><A HREF="manual_jpgraph.html#7_2_8">7.2.8 Horizontal bar graphs</A></LI>
<LI><A HREF="manual_jpgraph.html#7_2_9">7.2.9 Using gradient fill for
 bar graphs</A></LI>
<LI><A HREF="manual_jpgraph.html#7_2_10">7.2.10  Creating semi-filled
 bar graphs</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#7_3">7.3 Error plots</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#7_3_1">7.3.1 Using line error plots</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#7_4">7.4 Scatter plots</A></LI>
<LI><A HREF="manual_jpgraph.html#7_5">7.5 Field plots</A></LI>
<LI><A HREF="manual_jpgraph.html#7_6">7.6 Box and Stock charts</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#7_6_1">7.6.1  Stock Charts</A></LI>
<LI><A HREF="manual_jpgraph.html#7_6_2">7.6.2 BoxPLots : Stock charts
 with a median line</A></LI>
<LI><A HREF="manual_jpgraph.html#7_6_3">7.6.3 Image maps for Box and
 Stock charts</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#7_7">7.7 Combining different graph
 types</A></LI>
<LI><A HREF="manual_jpgraph.html#7_8">7.8 Specifying the scale manually</A>
</LI>
<LI><A HREF="manual_jpgraph.html#7_9">7.9 Adjusting the automatic tick
 marks</A></LI>
<LI><A HREF="manual_jpgraph.html#7_10">7.10 Handling date/time scales</A>
</LI>
<LI><A HREF="manual_jpgraph.html#7_11">7.11 Adjusting labels on a text
 scale</A></LI>
<LI><A HREF="manual_jpgraph.html#7_12">7.12 Adding arbitrary text
 strings to the graph</A></LI>
<LI><A HREF="manual_jpgraph.html#7_13">7.13 Adding titles and footers to
 the Graph</A></LI>
<LI><A HREF="manual_jpgraph.html#7_14">7.14 Adding a tab title</A></LI>
<LI><A HREF="manual_jpgraph.html#7_15">7.15 Using background images</A></LI>
<LI><A HREF="manual_jpgraph.html#7_16">7.16 Using a background gradient</A>
</LI>
<LI><A HREF="manual_jpgraph.html#7_17">7.17 Using callbacks for Plot
 marks</A></LI>
<LI><A HREF="manual_jpgraph.html#7_18">7.18 Rotating graphs 90 degrees</A>
</LI>
<LI><A HREF="manual_jpgraph.html#7_19">7.19 Formatting the axis</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#7_19_1">7.19.1  Standard two axis
 graphs</A></LI>
<LI><A HREF="manual_jpgraph.html#7_19_2">7.19.2 Scientific style axis</A>
</LI>
<LI><A HREF="manual_jpgraph.html#7_19_3">7.19.3  Adjusting the position
 of the scale labels</A></LI>
<LI><A HREF="manual_jpgraph.html#7_19_4">7.19.4 Formatting the scale
 labels</A></LI>
<LI><A HREF="manual_jpgraph.html#7_19_5">7.19.5 Inverting the Y-axis</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#7_20">7.20 Adjusting the auto-scaling
 limits - grace value</A></LI>
<LI><A HREF="manual_jpgraph.html#7_21">7.21 Adding bands of pattern and
 color to graphs</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#7_21_1">7.21.1  Customizing the
 patterns</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#7_22">7.22  Adding static lines to the
 plot</A></LI>
</UL>
<B><A HREF="manual_jpgraph.html#8">8 Working with non X,Y-plots</A></B>
<UL>
<LI><A HREF="manual_jpgraph.html#8_1">8.1 Radar plots</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#8_1_1">8.1.1 Simple radar plots</A></LI>
<LI><A HREF="manual_jpgraph.html#8_1_2">8.1.2 Specifying titles for the
 axis and legends for the plots</A></LI>
<LI><A HREF="manual_jpgraph.html#8_1_3">8.1.3 Adding grid line to the
 radar plot</A></LI>
<LI><A HREF="manual_jpgraph.html#8_1_4">8.1.4 Adding several plots to
 the same radar graph</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#8_2">8.2 Pie plots</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#8_2_1">8.2.1 Creating 3D pie plots</A></LI>
<LI><A HREF="manual_jpgraph.html#8_2_2">8.2.2 Exploding pie slices</A></LI>
<LI><A HREF="manual_jpgraph.html#8_2_3">8.2.3 Specifying and adjusting
 labels on pie plots</A></LI>
<LI><A HREF="manual_jpgraph.html#8_2_4">8.2.4 Specifying slice colors
 and using themes</A></LI>
<LI><A HREF="manual_jpgraph.html#8_2_5">8.2.5 Adding drop shadows to the
 slices</A></LI>
<LI><A HREF="manual_jpgraph.html#8_2_6">8.2.6 Another variant of 2D Pie
 plots</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#8_3">8.3 Polar plots</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#8_3_1">8.3.1 Overview</A></LI>
<LI><A HREF="manual_jpgraph.html#8_3_2">8.3.2 Adjusting the radius scale</A>
</LI>
<LI><A HREF="manual_jpgraph.html#8_3_3">8.3.3 Adjusting the grid lines</A>
</LI>
<LI><A HREF="manual_jpgraph.html#8_3_4">8.3.4 Adjusting the label fonts</A>
</LI>
<LI><A HREF="manual_jpgraph.html#8_3_5">8.3.5 Adjusting the labels</A></LI>
<LI><A HREF="manual_jpgraph.html#8_3_6">8.3.6 Image maps</A></LI>
<LI><A HREF="manual_jpgraph.html#8_3_7">8.3.7 A final example</A></LI>
</UL>
</UL>
<B><A HREF="manual_jpgraph.html#9">9 Gantt charts</A></B>
<UL>
<LI><A HREF="manual_jpgraph.html#9_1">9.1 Why use Gantt charts?</A></LI>
<LI><A HREF="manual_jpgraph.html#9_2">9.2 Capabilities in JpGraph Gantt
 module</A></LI>
<LI><A HREF="manual_jpgraph.html#9_3">9.3 A simple Gantt chart</A></LI>
<LI><A HREF="manual_jpgraph.html#9_4">9.4  The structure of a Gantt
 chart</A></LI>
<LI><A HREF="manual_jpgraph.html#9_5">9.5 Creating a GanttChart</A></LI>
<LI><A HREF="manual_jpgraph.html#9_6">9.6 Positioning objects in the
 Gantt plot</A></LI>
<LI><A HREF="manual_jpgraph.html#9_7">9.7 Gantt bars</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#9_7_1">9.7.1 Specifying vertical
 position</A></LI>
<LI><A HREF="manual_jpgraph.html#9_7_2">9.7.2 Specifying start and end
 position for a bar</A></LI>
<LI><A HREF="manual_jpgraph.html#9_7_3">9.7.3 Milestones</A></LI>
<LI><A HREF="manual_jpgraph.html#9_7_4">9.7.4 Vertical line</A></LI>
<LI><A HREF="manual_jpgraph.html#9_7_5">9.7.5 Adding markers to a gantt
 bar</A></LI>
<LI><A HREF="manual_jpgraph.html#9_7_6">9.7.6 Adjusting the minimum
 distance between bars</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#9_8">9.8 Formatting the scale headers</A>
</LI>
<UL>
<LI><A HREF="manual_jpgraph.html#9_8_1">9.8.1 Minute scale</A></LI>
<LI><A HREF="manual_jpgraph.html#9_8_2">9.8.2 Hour scale</A></LI>
<LI><A HREF="manual_jpgraph.html#9_8_3">9.8.3 Day scale</A></LI>
<LI><A HREF="manual_jpgraph.html#9_8_4">9.8.4 Week scale</A></LI>
<LI><A HREF="manual_jpgraph.html#9_8_5">9.8.5 Month scale</A></LI>
<LI><A HREF="manual_jpgraph.html#9_8_6">9.8.6 Year scale</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#9_9">9.9 More formatting for bars</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#9_9_1">9.9.1 Adding caption to bars</A></LI>
<LI><A HREF="manual_jpgraph.html#9_9_2">9.9.2 Adding progress indicators
 to bars</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#9_10">9.10 Grouping activities</A></LI>
<LI><A HREF="manual_jpgraph.html#9_11">9.11 Using multiple columns as
 titles</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#9_11_1">9.11.1 Adding a title for the
 columns</A></LI>
<LI><A HREF="manual_jpgraph.html#9_11_2">9.11.2 Specifying CSIM entries
 for column titles</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#9_12">9.12 More general Gantt
 formatting</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#9_12_1">9.12.1 Adding a table title</A></LI>
<LI><A HREF="manual_jpgraph.html#9_12_2">9.12.2 Modifying the divider
 lines</A></LI>
<LI><A HREF="manual_jpgraph.html#9_12_3">9.12.3 Modifying the box around
 the plot</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#9_13">9.13 Simplifying the drawing of
 Gantt graphs</A></LI>
<LI><A HREF="manual_jpgraph.html#9_14">9.14 Adding CSIM (Client side
 Image Maps) to Gantt charts</A></LI>
<LI><A HREF="manual_jpgraph.html#9_15">9.15 Adding constrains between
 your activities</A></LI>
<LI><A HREF="manual_jpgraph.html#9_16">9.16 Advanced formatting</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#9_16_1">9.16.1 Showing only part of the
 graph</A></LI>
<LI><A HREF="manual_jpgraph.html#9_16_2">9.16.2 Specifying start day of
 week</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#9_17">9.17 Localizing</A></LI>
<LI><A HREF="manual_jpgraph.html#9_18">9.18 Anti-aliasing in JpGraph</A></LI>
<UL>
<LI><A HREF="manual_jpgraph.html#9_18_1">9.18.1 Enabling anti-aliased
 lines</A></LI>
</UL>
<LI><A HREF="manual_jpgraph.html#9_19">9.19 Rotating the graphs</A></LI>
<LI><A HREF="manual_jpgraph.html#9_20">9.20 Adjusting brightness and
 contrast for images and backgrounds</A></LI>
<LI><A HREF="manual_jpgraph.html#9_21">9.21 Timing the generation of
 graphs</A></LI>
<LI><A HREF="manual_jpgraph.html#9_22">9.22 Using country flags in
 various context</A></LI>
<LI><A HREF="manual_jpgraph.html#9_23">9.23 Adding icons onto the graph</A>
</LI>
</UL>
<B><A HREF="manual_jpgraph.html#10">10 Working with canvas graphs</A></B>
<UL>
<LI><A HREF="manual_jpgraph.html#10_1">10.1 Introduction</A></LI>
<LI><A HREF="manual_jpgraph.html#10_2">10.2 Creating a simple canvas</A></LI>
<LI><A HREF="manual_jpgraph.html#10_3">10.3 Adding lines and rectangles
 to a canvas</A></LI>
<LI><A HREF="manual_jpgraph.html#10_4">10.4 Using a canvas scale</A></LI>
<LI><A HREF="manual_jpgraph.html#10_5">10.5 Sample application: Drawing
 DB schema</A></LI>
</UL>
<B><A HREF="manual_jpgraph.html#11">11 Anti-Spam Challenges</A></B>
<UL>
<LI><A HREF="manual_jpgraph.html#11_1">11.1 Generating Anti-Spam
 challenge</A></LI>
</UL>
<B><A HREF="manual_jpgraph.html#12">12 Code defines in JpGraph</A></B></BODY>
</HTML>
